import { FetchMqlTimeSeriesQuery } from "../../queries/mql/MqlQueryTypes";
import { UseMqlQueryState } from '../reducers/mqlQueryReducer';
export declare type UseMqlQueryFromDbIdParams = {
    mqlQueryId: number;
    skip?: boolean;
    retries?: number;
    doRefetchMqlQuery?: boolean;
};
export declare type UseMqlQueryFromDbIdQuery = UseMqlQueryState<FetchMqlTimeSeriesQuery>;
export default function useMqlQueryFromDbId({ mqlQueryId, skip, retries, doRefetchMqlQuery, }: UseMqlQueryFromDbIdParams): UseMqlQueryState<FetchMqlTimeSeriesQuery>;
